Package: groovy.org.codenarc.rule.basic

## [Groovy] Class ForLoopShouldBeWhileLoopRule

- groovy.org.codenarc.rule.basic.ForLoopShouldBeWhileLoopRule

- For loops where init and update statements are empty can be simplified to while loops. Ignores For-Each Loops (for (Plan p : plans) { .. }) and Groovy For Loops (for (p in plans) { .. }).

  Authors:
    Victor Savkin

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority